## Thunix is returning Soon!

Thunix is on it's way to getting back up and running, albeit with some pretty big changes.
We're building something that can be far more decentralized, and far more distributed, allowing users to keep their data local they want local, and the data they want everywhere to be available anywhere on the Thunix system.
If you are interested in helping build this out to be ready for more users, drop ubergeek a line via [![#thunix channel](https://tilde.chat/badges/badge.php?channel=%23thunix)](https://tilde.chat/kiwi/#thunix), or via [email](mailto:ubergeek@thunix.net)

## FAQ
* Is all of my old data from Thunix (first generation, second generation) still available?

No. First gen thunix was ran by hexhaxtron, who dissappeared for a bit, and the server went away without notice.  Second generation was ran by ubergeek, ammclure, and fossy.  System's volume went corrupt, and time was given to copy data off, before the disk was wiped.

* Is thunix a free shell provider and free webhosting?

No.  Thunix is a community built system, to provide a space for learning technology, and for members of the community to build things useful for the community, by the community.

* Can I get an account on Thunix?

Not yet, unless you are someone who is willing to put in time and some resources to building the system, to get to a point where everyone can sign up again.  Very little hand holding, and expect most things to not work properly, if at all.

## Architecture

### Future goals

* Portable VM that runs locally for the user, so they can keep their data local, and private, if they desire
* Composable infrastructure, that allows users to develop services for community members, but also promote them to proper place in the infrastructure
* Ability to run all pieces of infrastructure across any cloud provider, or even on a member's own hardware, but acting like a true part of the overall system

### Pieces in place right now, to promote the stated goals

* LDAP authentication for all servers and containers
* NFS filesystem, available to be mounted anywhere, containing all user's home directory
* Ingress VPN, with private network space, for all pieces of the infrastructure, to include the portable VM homes
* Ansible used to configure machines, to ensure a baseline configuration to allow it to interact properly with the infrastructure